Subject: [bug#27774] [PATCH] gnu: add libgeotiff

From: Björn Höfling <[email-masked]>
Date: Sun, 23 Jul 2017 13:27:57 +0200

Hi Arun,

On Sat, 22 Jul 2017 19:18:17 +0530
Arun Isaac <[email-masked]> wrote:

> >> +   (arguments
> >> +    `(#:configure-flags
> >> +      `( ,(string-append "--with-zlib")
> >> +         ,(string-append "--with-jpeg")
> >> +         ,(string-append "--with-libtiff="
> >> +                         (assoc-ref %build-inputs "libtiff")))  
> 
> I'm asking this out of ignorance more than anything else. Is this
> (assoc-ref %build-inputs "libtiff") call required for
> "--with-libtiff", when it is not required for "--with-zlib" and
> "--with-jpeg"?

Yes:

If I leave it out (which was my first try anyway) I get this error message:

/gnu/store/k7029k5va68lkapbzcycdzj7m5bjb4b8-bash-4.4.12/bin/bash ../libtool
 --tag=CC   --mode=link gcc -I../ -Iyes -DHAVE_TIFF=1  -g -O2 -O3 -DNDEBUG
   -o libxtiff.la  xtiff.lo  -lproj -Lyes -ltiff -ljpeg -lz -lm  
../libtool: line 6000: cd: yes: No such file or directory

It seams the semantics for --with-libtiff is different than for the other
libraries.

> 
> Also, can we build this package with libjpeg-turbo, instead of
> libjpeg? libjpeg-turbo claims to be faster, and many packages in Arch
> and Parabola are built using libjpeg-turbo.

Good catch. It should be API-compatible, available on all plattforms and
Arch and Ubuntu (checked these) use is as dependency for libgeotiff.

I will give it a try and hopefully will also pack a minimal version of
GDAL to really make use of the library.

Thanks,

Björn